Google Web Toolkit (Beta)
Search this site:

# Interface SourcesClickEvents

public interface SourcesClickEvents
// Implemented by `TextBoxBase`, `SuggestBox`, `Label`, `Image`, `Hyperlink`, `FocusWidget`, `FocusPanel`
A widget that implements this interface sources the events defined by the ClickListener interface.

## Methods

addClickListener(ClickListener) | Adds a listener interface to receive click events.
removeClickListener(ClickListener) | Removes a previously added listener interface.

## Method Detail

### addClickListener

public void addClickListener(ClickListener listener)
Adds a listener interface to receive click events.

#### Parameters

listener
  the listener interface to add

### removeClickListener

public void removeClickListener(ClickListener listener)
Removes a previously added listener interface.

#### Parameters

listener
  the listener interface to remove